Subject: Re: [PATCH] genirq: Set initial default irq affinity to just CPU0

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 26 Oct 2008 19:29:17 +1100

On Sun, 2008-10-26 at 00:16 -0700, David Miller wrote:
> From: Benjamin Herrenschmidt <[email-masked]>
> Date: Sun, 26 Oct 2008 17:48:43 +1100
> 
> > 
> > > What does this all mean to my GigE (dual 1.1 GHz 7455s)? Is this
> > > thing supposed to be able to spread irq between its cpus?
> > 
> > Depends on the interrupt controller. I don't know that machine
> > but for example the Apple Dual G5's use an MPIC that can spread
> > based on an internal HW round robin scheme. This isn't always
> > the best idea tho for cache reasons... depends if an at what level
> > your caches are shared between CPUs.
> 
> it's always going to be the wrong thing to do for networking cards,
> especially once we start doing RX flow seperation in software

True, though I don't have policy in the kernel for that, ie, it's pretty
much irqbalanced job to do that. At this stage, the kernel always tries
to spread when it can... at least on powerpc.

Ben.